<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RequestSensorNamesResponse StructType
 * @subpackage Structs
 */
class RequestSensorNamesResponse extends AbstractStructBase
{
    /**
     * The RequestSensorNamesResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $RequestSensorNamesResult;
    /**
     * Constructor method for RequestSensorNamesResponse
     * @uses RequestSensorNamesResponse::setRequestSensorNamesResult()
     * @param bool $requestSensorNamesResult
     */
    public function __construct($requestSensorNamesResult = null)
    {
        $this
            ->setRequestSensorNamesResult($requestSensorNamesResult);
    }
    /**
     * Get RequestSensorNamesResult value
     * @return bool
     */
    public function getRequestSensorNamesResult()
    {
        return $this->RequestSensorNamesResult;
    }
    /**
     * Set RequestSensorNamesResult value
     * @param bool $requestSensorNamesResult
     * @return \CustomerManagement\StructType\RequestSensorNamesResponse
     */
    public function setRequestSensorNamesResult($requestSensorNamesResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($requestSensorNamesResult) && !is_bool($requestSensorNamesResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($requestSensorNamesResult, true), gettype($requestSensorNamesResult)), __LINE__);
        }
        $this->RequestSensorNamesResult = $requestSensorNamesResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\RequestSensorNamesResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
